<?php

namespace Drupal\rcr\Commands;

use Drupal\rcr\RcrService;
use Drush\Commands\DrushCommands;

/**
 * A Drush command file.
 */
class Drush9Commands extends DrushCommands {

  /**
   * RCR service.
   */
  protected RcrService $rcrService;

  /**
   * Drush command constructor.
   *
   * @param \Drupal\rcr\RcrService $rcr_service
   *   RCR service.
   */
  public function __construct(RcrService $rcr_service) {
    $this->rcrService = $rcr_service;
  }

  /**
   * Get current rates.
   *
   * @command rcr:getrates
   * @aliases rcr-getrates
   * @usage rcr:getrates
   */
  public function getrates() {
    $message = $this->rcrService->getRates();
    $this->output()->writeln($message);
  }

}
