<?php

namespace Drupal\Tests\rcr\Functional;

use Drupal\Tests\BrowserTestBase;

/**
 * Tests for the rcr module.
 *
 * @group rcr
 */
class RcrBlockTest extends BrowserTestBase {

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'stark';

  /**
   * Modules to install.
   *
   * @var array
   */
  public static $modules = [
    'rcr',
  ];

  /**
   * SetUp the test class.
   */
  public function setUp(): void {
    parent::setUp();

    \Drupal::state()->set('rcr.usd', '99');
    \Drupal::state()->set('rcr.eur', '102');

    $this->drupalPlaceBlock('rcr_rates');
  }

  /**
   * Tests that the block can be reached.
   */
  public function testBlock() {
    $this->drupalGet('<front>');
    $this->assertSession()->elementTextContains('xpath', "//p[1]/span[@class='rcr-curr-name']/text()", 'USD');
    $this->assertSession()->elementTextContains('xpath', "//p[1]/span[@class='rcr-curr-rate']/text()", '99 руб.');
    $this->assertSession()->elementTextContains('xpath', "//p[2]/span[@class='rcr-curr-name']/text()", 'EUR');
    $this->assertSession()->elementTextContains('xpath', "//p[2]/span[@class='rcr-curr-rate']/text()", '102 руб.');
  }

}
